Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.iiop
Interface IIOPMinorCodes

public interface IIOPMinorCodes

This interface lists all the minor codes used througout the IIOP module.

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Field Summary
`static int` | `BAD_OPERATION_IIOP_VERSION` IIOP version does not support primitive
`static int` | `BAD_PARAM_ABSTRACT_CLASS` Object class cannot be instantiated or is incorrect type
`static int` | `BAD_PARAM_ARRAY_INDEX` Array index out of bounds
`static int` | `BAD_PARAM_FIXED_TYPE` Typecode is not fixed typecode
`static int` | `BAD_PARAM_NULL_STRING` Null valued strings cannot be transmitted
`static int` | `BAD_PARAM_OBJ_CLASS` Object class cannot be instantiated or is incorrect type
`static int` | `BAD_PARAM_VALUE_CLASS` Object class cannot be instantiated or is incorrect type
`static int` | `BASE_VALUE`
`static int` | `COMM_FAILURE_BAD_DATA` Broken data during read
`static int` | `COMM_FAILURE_CLIENT_DIED` Connection to client has been lost before reply can be sent
`static int` | `COMM_FAILURE_EOF` Unexpected end of stream during read
`static int` | `COMM_FAILURE_HOST_NOT_FOUND` Unable to find host in DNS
`static int` | `COMM_FAILURE_IO_EXCEPTION` IOException occoured during read
`static int` | `COMM_FAILURE_MSG_ERROR` Message error.
`static int` | `COMM_FAILURE_NO_CONNECT` No connection to server, server is not listening or connection refused
`static int` | `COMM_FAILURE_NO_ROUTE` No route to server
`static int` | `INV_OBJREF_BAD_COMPONENT` Component data is corrupted
`static int` | `INV_OBJREF_BAD_PROFILE` IIOP profile data is corrupted
`static int` | `INV_OBJREF_BAD_TAG` Invalid tag for IIOP profile
`static int` | `INV_OBJREF_MISSING_ENCODER` Component data is corrupted
`static int` | `MARSHAL_CHAR` Problem with marshaling / unmarshalling char data
`static int` | `MARSHAL_ENCAPS` Failed to close encapsulation layer before calling close operation
`static int` | `MARSHAL_FIXED` Problem with fixed type
`static int` | `MARSHAL_TC_KIND` Typecode kind unknown
`static int` | `MARSHAL_TC_OFFSET` Recursive typecode offset does not match any known typecode
`static int` | `MARSHAL_VALUE` Problem with valuetype encoding
`static int` | `MARSHAL_WCHAR` Problem with marshaling / unmarshalling wchar data
`static int` | `NO_PERMISSION_INVALID_PORT` The port published in the IOR was 0.
`static int` | `NO_RESOURCES_STACK_OVERFLOW` Problem with valuetype encoding

Field Detail

### BASE_VALUE

    public static final int BASE_VALUE

### BAD_OPERATION_IIOP_VERSION

    public static final int BAD_OPERATION_IIOP_VERSION

  IIOP version does not support primitive

### BAD_PARAM_OBJ_CLASS

    public static final int BAD_PARAM_OBJ_CLASS

  Object class cannot be instantiated or is incorrect type

### BAD_PARAM_FIXED_TYPE

    public static final int BAD_PARAM_FIXED_TYPE

  Typecode is not fixed typecode

### BAD_PARAM_VALUE_CLASS

    public static final int BAD_PARAM_VALUE_CLASS

  Object class cannot be instantiated or is incorrect type

### BAD_PARAM_NULL_STRING

    public static final int BAD_PARAM_NULL_STRING

  Null valued strings cannot be transmitted

### BAD_PARAM_ARRAY_INDEX

    public static final int BAD_PARAM_ARRAY_INDEX

  Array index out of bounds

### BAD_PARAM_ABSTRACT_CLASS

    public static final int BAD_PARAM_ABSTRACT_CLASS

  Object class cannot be instantiated or is incorrect type

### COMM_FAILURE_CLIENT_DIED

    public static final int COMM_FAILURE_CLIENT_DIED

  Connection to client has been lost before reply can be sent

### COMM_FAILURE_NO_ROUTE

    public static final int COMM_FAILURE_NO_ROUTE

  No route to server

### COMM_FAILURE_NO_CONNECT

    public static final int COMM_FAILURE_NO_CONNECT

  No connection to server, server is not listening or connection refused

### COMM_FAILURE_HOST_NOT_FOUND

    public static final int COMM_FAILURE_HOST_NOT_FOUND

  Unable to find host in DNS

### COMM_FAILURE_IO_EXCEPTION

    public static final int COMM_FAILURE_IO_EXCEPTION

  IOException occoured during read

### COMM_FAILURE_EOF

    public static final int COMM_FAILURE_EOF

  Unexpected end of stream during read

### COMM_FAILURE_BAD_DATA

    public static final int COMM_FAILURE_BAD_DATA

  Broken data during read

### COMM_FAILURE_MSG_ERROR

    public static final int COMM_FAILURE_MSG_ERROR

  Message error. Remote server detected a broken OpenORB

### INV_OBJREF_BAD_TAG

    public static final int INV_OBJREF_BAD_TAG

  Invalid tag for IIOP profile

### INV_OBJREF_BAD_PROFILE

    public static final int INV_OBJREF_BAD_PROFILE

  IIOP profile data is corrupted

### INV_OBJREF_BAD_COMPONENT

    public static final int INV_OBJREF_BAD_COMPONENT

  Component data is corrupted

### INV_OBJREF_MISSING_ENCODER

    public static final int INV_OBJREF_MISSING_ENCODER

  Component data is corrupted

### MARSHAL_CHAR

    public static final int MARSHAL_CHAR

  Problem with marshaling / unmarshalling char data

### MARSHAL_WCHAR

    public static final int MARSHAL_WCHAR

  Problem with marshaling / unmarshalling wchar data

### MARSHAL_TC_OFFSET

    public static final int MARSHAL_TC_OFFSET

  Recursive typecode offset does not match any known typecode

### MARSHAL_TC_KIND

    public static final int MARSHAL_TC_KIND

  Typecode kind unknown

### MARSHAL_FIXED

    public static final int MARSHAL_FIXED

  Problem with fixed type

### MARSHAL_VALUE

    public static final int MARSHAL_VALUE

  Problem with valuetype encoding

### MARSHAL_ENCAPS

    public static final int MARSHAL_ENCAPS

  Failed to close encapsulation layer before calling close operation

### NO_RESOURCES_STACK_OVERFLOW

    public static final int NO_RESOURCES_STACK_OVERFLOW

  Problem with valuetype encoding

### NO_PERMISSION_INVALID_PORT

    public static final int NO_PERMISSION_INVALID_PORT

  The port published in the IOR was 0. This is probably a bidir only target

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD